## openshot-qt 2.5.1+dfsg1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/OpenShotVideoEditor.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/OpenShotVideoEditor.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/OpenShotVideoEditor"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/OpenShotVideoEditor"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== src/images/Makefile ===
ALL: openshot_rc.py
 
ICONS:=$(shell /usr/bin/find Humanity/ -type f -newer openshot_rc.py)
ICONS+=$(shell /usr/bin/find . -name \*-icon.png -newer openshot_rc.py)
ICONS+=AboutLogo.png openshot.svg
ICONS+=$(shell /usr/bin/find . -type f -name hw-accel\*.svg -newer openshot_rc.py)

openshot_rc.py: openshot.qrc $(ICONS)
	pyrcc5 openshot.qrc -o $@

## openshot-qt 2.1.0

=== debian/changelog ===
openshot-qt (2.1.0-0jessie1) jessie; urgency=medium

  * Rebuild for OBS.
  * Switch to 3.0 (quilt) source format.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Thu, 01 Sep 2016 12:39:49 -0700

libopenshot (2.1.0-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Mon, 29 Aug 2016 23:54:57 -0500

openshot-qt (2.0.7-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Mon, 28 Mar 2016 00:18:54 -0500

openshot-qt (2.0.6-1) UNRELEASED; urgency=medium

  * New Release - Smoother animation, bug fixes, auto-save, auto-recorvery

 -- Jonathan Thomas <jonathan@openshot.org>  Mon, 08 Feb 2016 13:14:44 -0600

openshot-qt (2.0.5-1) UNRELEASED; urgency=low

  * Initial release. Closes: #810788

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 15 Jan 2016 23:59:12 +0000

=== debian/control ===
Source: openshot-qt
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: video
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               doxygen,
               doxypy,
               python3,
               python3-setuptools
Standards-Version: 3.9.6
Homepage: http://www.openshot.org/

Package: openshot-qt
Architecture: all
Depends: python3-httplib2,
         python3-openshot,
         python3-pyqt5,
         python3-pyqt5.qtmultimedia,
         python3-pyqt5.qtopengl,
         python3-pyqt5.qtsvg,
         python3-pyqt5.qtwebkit,
         python3-xdg,
         python3-zmq,
         qttranslations5-l10n,
         ${misc:Depends},
         ${python3:Depends}
Suggests: openshot-qt-doc
Description: OpenShot video editor
 OpenShot Video Editor is a free, open-source, non-linear video editor. It can
 create and edit videos and movies using many popular video, audio, and image
 formats. Create videos for YouTube, Flickr, Vimeo, Metacafe, Xbox, and many
 more common formats!
 .
 This package provides the OpenShot application.

Package: openshot-qt-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Description: documentation for OpenShot
 OpenShot Video Editor is a free, open-source, non-linear video editor. It can
 create and edit videos and movies using many popular video, audio, and image
 formats. Create videos for YouTube, Flickr, Vimeo, Metacafe, Xbox, and many
 more common formats!
 .
 This package provides the documentation for the OpenShot application.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#DH_VERBOSE = 1

export PYBUILD_DESTDIR=debian/openshot-qt
export PYBUILD_INSTALL_ARGS=--install-layout=deb

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	doxygen Doxyfile.in

override_dh_install:
	dh_install

override_dh_installdocs:
	dh_installdocs
	dh_doxygen

## openshot-qt 2.4.1

=== debian/changelog ===
openshot-qt (2.4.1-2build2) bionic; urgency=medium

  * Rebuild against new pkgbinarymangler 135.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Feb 2018 12:59:56 +0100

openshot-qt (2.4.1-2build1) bionic; urgency=medium

  * No change Rebuild to avoid extra files installed in the root
    directory (new toolchain is not creating them anymore, maybe sphinx
    is to blame?)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Feb 2018 08:34:14 +0100

openshot-qt (2.4.1-2) unstable; urgency=medium

  * Switch Vcs-URLs to salsa.d.o
  * Use debhelper v11
  * Update d/copyright
  * Update Standards-Version to 4.1.3, no changes needed
  * Add transitional packages for openshot and openshot-doc.
    This should ensure an upgrade path after upstream's
    renaming of the application. (Closes: #879778)
    Also, it should fix a lot of bugs in the openshot package:
    - No longer depend on deprecated python-pygoocanvas. (Closes: #785562)
    - No longer depend on obsolete python-imaging. (Closes: #866448)
    - Update to latest upstream version. (Closes: #814734)
    - Remove dependency on rarian-compat for openshot-doc. (Closes: #725095)
    - Do not ship embedded copy of python-gdata. (Closes: #705928)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 05 Feb 2018 21:41:12 +0100

openshot-qt (2.4.1-1) unstable; urgency=medium

  * New upstream version 2.4.1
  * Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 14 Dec 2017 15:53:08 +0100

openshot-qt (2.4.0-1) unstable; urgency=medium

  * Initial release (Closes: #810788)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 29 Oct 2017 19:57:52 +0100

=== debian/control ===
Source: openshot-qt
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 4.1.3
Homepage: https://www.openshot.org/
X-Python3-Version: >= 3.2
Vcs-Git: https://salsa.debian.org/multimedia-team/openshot-qt.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/openshot-qt
Testsuite: autopkgtest-pkg-python

Package: openshot-qt
Architecture: all
Depends: libjs-jquery,
         python3-openshot,
         python3-pyqt5,
         python3-pyqt5.qtsvg,
         python3-pyqt5.qtwebkit,
         python3-zmq,
         ${misc:Depends},
         ${python3:Depends}
Recommends: blender, inkscape
Suggests: openshot-qt-doc
Replaces: openshot (<< 2.4.0-1~)
Breaks: openshot (<< 2.4.0-1~)
Description: create and edit videos and movies
 OpenShot Video Editor is a free, open-source, non-linear video editor. It
 can create and edit videos and movies using many popular video, audio, and
 image formats. Create videos for YouTube, Flickr, Vimeo, Metacafe, iPod,
 Xbox, and many more common formats!
 .
 Features include:
  * Multiple tracks (layers)
  * Compositing, image overlays, and watermarks
  * Support for image sequences (rotoscoping)
  * Key-frame animation
  * Video and audio effects (chroma-key)
  * Transitions (lumas and masks)
  * 3D animation (titles and physics simulations)
  * Chroma key (green screen & blue screen)
  * Transcode (convert video encodings)
  * Upload videos (YouTube and Vimeo supported)

Package: openshot-qt-doc
Architecture: all
Section: doc
Depends: libjs-jquery, libjs-underscore, ${misc:Depends}, ${sphinxdoc:Depends}
Replaces: openshot-doc (<< 2.4.0-1~)
Breaks: openshot-doc (<< 2.4.0-1~)
Description: documentation for openshot-qt
 This is the official help manual for OpenShot Video Editor, a free,
 open-source, non-linear video editor. Learn how to edit videos, add
 watermarks, apply effects such as chroma key, and transition between
 videos. Also, learn how to become a developer, with step by step
 instructions.

Package: openshot
Depends: openshot-qt, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: create and edit videos and movies (transitional package)
 This is a transitional package. It can safely be removed.

Package: openshot-doc
Depends: openshot-qt-doc, ${misc:Depends}
Architecture: all
Priority: optional
Section: oldlibs
Description: documentation for openshot-qt (transitional package)
 This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = openshot-qt
export PYBUILD_DESTDIR_python3 = debian/openshot-qt
export TMPDIR = $(CURDIR)/debian/openshot-qt

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -O--buildsystem=pybuild
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html -d build/doctrees doc build/html
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b man  -d build/doctrees doc build/man

override_dh_auto_install:
	dh_auto_install -O--buildsystem=pybuild
	# Remove extra license files
	rm $(TMPDIR)/usr/lib/python3*/dist-packages/openshot_qt/images/Humanity/COPYING
	rm $(TMPDIR)/usr/lib/python3*/dist-packages/openshot_qt/settings/license.txt

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=pybuild
	rm -rf build

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%openshot-qt-$1.tar.gz%" \
   https://github.com/Openshot/openshot-qt/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## openshot-qt 2.4.2+dfsg1

=== debian/changelog ===
openshot-qt (2.4.2+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python3-Version field

  [ Dr. Tobias Quathamer ]
  * New upstream version 2.4.2+dfsg1
    - Refresh patches
  * Add German translation for desktop file.
    Thanks to Ronny Standtke <ronny.standtke@gmx.net> (Closes: #890002)
  * Update Standards-Version to 4.2.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 27 Aug 2018 20:32:12 +0200

openshot-qt (2.4.1+dfsg1-2) unstable; urgency=medium

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Dr. Tobias Quathamer ]
  * Add python3-requests and python3-pkg-resources to Depends.
    Thanks to Cesare Tirabassi and James Cowgill (Closes: #899247)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 23 May 2018 20:33:31 +0200

openshot-qt (2.4.1+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Removing redundant Priority field in binary package

  [ Dr. Tobias Quathamer ]
  * Use Cantarell font instead of non-free Ubuntu regular.
    Thanks to Alex Krusemark <akrusemark@posteo.net> (Closes: #895475)
  * Adapt d/watch to handle +dfsg version suffix
  * Add fonts-cantarell to Depends
  * Update Standards-Version to 4.1.4, no changes needed
  * Remove copyright information for Ubuntu font from d/copyright
  * Mark openshot-qt-doc as Multi-Arch: foreign

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 16 Apr 2018 22:17:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: openshot-qt
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-python,
@@ -9,20 +9,22 @@
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: https://www.openshot.org/
-X-Python3-Version: >= 3.2
 Vcs-Git: https://salsa.debian.org/multimedia-team/openshot-qt.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/openshot-qt
 Testsuite: autopkgtest-pkg-python
 
 Package: openshot-qt
 Architecture: all
-Depends: libjs-jquery,
+Depends: fonts-cantarell,
+         libjs-jquery,
          python3-openshot,
+         python3-pkg-resources,
          python3-pyqt5,
          python3-pyqt5.qtsvg,
          python3-pyqt5.qtwebkit,
+         python3-requests,
          python3-zmq,
          ${misc:Depends},
          ${python3:Depends}
@@ -50,6 +52,7 @@
 
 Package: openshot-qt-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: libjs-jquery, libjs-underscore, ${misc:Depends}, ${sphinxdoc:Depends}
 Replaces: openshot-doc (<< 2.4.0-1~)
@@ -64,7 +67,6 @@
 Package: openshot
 Depends: openshot-qt, ${misc:Depends}
 Architecture: all
-Priority: optional
 Section: oldlibs
 Description: create and edit videos and movies (transitional package)
  This is a transitional package. It can safely be removed.
@@ -72,7 +74,6 @@
 Package: openshot-doc
 Depends: openshot-qt-doc, ${misc:Depends}
 Architecture: all
-Priority: optional
 Section: oldlibs
 Description: documentation for openshot-qt (transitional package)
  This is a transitional package. It can safely be removed.

## openshot-qt 2.4.3%2Bdfsg1

=== debian/changelog ===
openshot-qt (2.4.3+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Dr. Tobias Quathamer ]
  * New upstream version 2.4.3+dfsg1
  * Refresh patches and drop one patch which has been applied upstream
  * Add python3-pyqt5 to Build-Depends

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 19 Oct 2018 23:53:38 +0200

## openshot-qt 2.4.3+dfsg1

=== debian/changelog ===
openshot-qt (2.4.3+dfsg1-1~mx15+1) mx; urgency=medium

  * Repackaged for MX 15 & 16.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 03 Nov 2018 14:15:34 -0700

openshot-qt (2.4.3+dfsg1-1~mx17+1) mx; urgency=medium

  * Repackaged for MX 17.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 03 Nov 2018 12:28:13 -0700

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: openshot-qt
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
 Build-Depends: debhelper (>= 11),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-sphinx,
-               python3-sphinx-rtd-theme
+               python3-sphinx-rtd-theme,
+               python3-pyqt5
 Standards-Version: 4.2.1
 Homepage: https://www.openshot.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/openshot-qt.git

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 
 override_dh_auto_build:
 	dh_auto_build -O--buildsystem=pybuild
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b html -d build/doctrees doc build/html
-	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -b man  -d build/doctrees doc build/man
+	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -b html -d build/doctrees doc build/html
+	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -b man  -d build/doctrees doc build/man
 
 override_dh_auto_install:
 	dh_auto_install -O--buildsystem=pybuild
@@ -21,3 +21,7 @@
 override_dh_auto_clean:
 	dh_auto_clean -O--buildsystem=pybuild
 	rm -rf build
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+

## openshot-qt 2.5.0+dfsg1

=== debian/changelog ===
openshot-qt (2.5.0+dfsg1-0.1~mx19+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
  * Refresh 0007-Use-Cantarell-font-instead-of-non-free-Ubuntu-regula.patch, 
    drop other patches.
  * Drop the man file and doc package for now, it causes FTBFS.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Feb 2020 16:26:55 -0800

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: openshot-qt
 Section: video
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
 Build-Depends: debhelper (>= 11),
@@ -21,7 +21,7 @@
 Architecture: all
 Depends: fonts-cantarell,
          libjs-jquery,
-         python3-openshot,
+         python3-openshot (>= 0.2.4~),
          python3-pkg-resources,
          python3-pyqt5,
          python3-pyqt5.qtsvg,
@@ -52,30 +52,9 @@
   * Transcode (convert video encodings)
   * Upload videos (YouTube and Vimeo supported)
 
-Package: openshot-qt-doc
-Architecture: all
-Multi-Arch: foreign
-Section: doc
-Depends: libjs-jquery, libjs-underscore, ${misc:Depends}, ${sphinxdoc:Depends}
-Replaces: openshot-doc (<< 2.4.0-1~)
-Breaks: openshot-doc (<< 2.4.0-1~)
-Description: documentation for openshot-qt
- This is the official help manual for OpenShot Video Editor, a free,
- open-source, non-linear video editor. Learn how to edit videos, add
- watermarks, apply effects such as chroma key, and transition between
- videos. Also, learn how to become a developer, with step by step
- instructions.
-
 Package: openshot
 Depends: openshot-qt, ${misc:Depends}
 Architecture: all
 Section: oldlibs
 Description: create and edit videos and movies (transitional package)
  This is a transitional package. It can safely be removed.
-
-Package: openshot-doc
-Depends: openshot-qt-doc, ${misc:Depends}
-Architecture: all
-Section: oldlibs
-Description: documentation for openshot-qt (transitional package)
- This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = openshot-qt
export PYBUILD_DESTDIR_python3 = debian/openshot-qt
export TMPDIR = $(CURDIR)/debian/openshot-qt

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -O--buildsystem=pybuild
#	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -b html -d build/doctrees doc build/html
#	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -b man  -d build/doctrees doc build/man

override_dh_auto_install:
	dh_auto_install -O--buildsystem=pybuild
	# Remove extra license files
	rm $(TMPDIR)/usr/lib/python3*/dist-packages/openshot_qt/images/Humanity/COPYING
#	rm $(TMPDIR)/usr/lib/python3*/dist-packages/openshot_qt/settings/license.txt

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=pybuild
	rm -rf build

## openshot-qt 2.5.1+dfsg1

=== debian/changelog ===
openshot-qt (2.5.1+dfsg1-1) unstable; urgency=medium

  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Tue, 23 Jun 2020 23:02:37 +0200

openshot-qt (2.5.1+dfsg1-1~exp1) experimental; urgency=medium

  [ Ondřej Nový ]
  * [25496a7] Use debhelper-compat instead of debian/compat

  [ Anton Gladky ]
  * [59c3cbf] Update d/copyright
  * [48bdd7a] New upstream version 2.5.1+dfsg1.
              (Closes: #940247, #940839, #955975)
  * [728ce32] Update/refresh patches
  * [31ba940] Use jquert-ui from package
  * [6fc4ee1] Bump debhelper from old 11 to 12.
  * [662d35d] Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * [778f931] Set compat-level to 13
  * [f5dca0b] Set Standards-Version to 4.5.0
  * [7cccf15] Add myself as uploader
  * [bcc54aa] Add Rules-Requires-Root: no
  * [81aa0c7] Set the minmal python3-openshot version to 0.2.5

 -- Anton Gladky <gladk@debian.org>  Sat, 20 Jun 2020 12:46:37 +0200

=== debian/control ===
Source: openshot-qt
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Dr. Tobias Quathamer <toddy@debian.org>,
           Anton Gladky <gladk@debian.org>
Section: video
Testsuite: autopkgtest-pkg-python
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-pyqt5
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/multimedia-team/openshot-qt
Vcs-Git: https://salsa.debian.org/multimedia-team/openshot-qt.git
Homepage: https://www.openshot.org/

Package: openshot-qt
Architecture: all
Depends: fonts-cantarell,
         libjs-jquery,
         libjs-jquery-ui,
         python3-openshot (>= 0.2.5),
         python3-pkg-resources,
         python3-pyqt5,
         python3-pyqt5.qtsvg,
         python3-pyqt5.qtwebkit,
         python3-requests,
         python3-zmq,
         ${misc:Depends},
         ${python3:Depends}
Recommends: blender,
            inkscape
Suggests: openshot-qt-doc
Breaks: openshot (<< 2.4.0-1~)
Replaces: openshot (<< 2.4.0-1~)
Description: create and edit videos and movies
 OpenShot Video Editor is a free, open-source, non-linear video editor. It
 can create and edit videos and movies using many popular video, audio, and
 image formats. Create videos for YouTube, Flickr, Vimeo, Metacafe, iPod,
 Xbox, and many more common formats!
 .
 Features include:
  * Multiple tracks (layers)
  * Compositing, image overlays, and watermarks
  * Support for image sequences (rotoscoping)
  * Key-frame animation
  * Video and audio effects (chroma-key)
  * Transitions (lumas and masks)
  * 3D animation (titles and physics simulations)
  * Chroma key (green screen & blue screen)
  * Transcode (convert video encodings)
  * Upload videos (YouTube and Vimeo supported)

Package: openshot-qt-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Breaks: openshot-doc (<< 2.4.0-1~)
Replaces: openshot-doc (<< 2.4.0-1~)
Description: documentation for openshot-qt
 This is the official help manual for OpenShot Video Editor, a free,
 open-source, non-linear video editor. Learn how to edit videos, add
 watermarks, apply effects such as chroma key, and transition between
 videos. Also, learn how to become a developer, with step by step
 instructions.

Package: openshot
Architecture: all
Section: oldlibs
Depends: openshot-qt,
         ${misc:Depends}
Description: create and edit videos and movies (transitional package)
 This is a transitional package. It can safely be removed.

Package: openshot-doc
Architecture: all
Section: oldlibs
Depends: openshot-qt-doc,
         ${misc:Depends}
Description: documentation for openshot-qt (transitional package)
 This is a transitional package. It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = openshot-qt
export PYBUILD_DESTDIR_python3 = debian/openshot-qt
export TMPDIR = $(CURDIR)/debian/openshot-qt

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build -O--buildsystem=pybuild
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -b html -d build/doctrees doc build/html
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -b man  -d build/doctrees doc build/man

override_dh_auto_install:
	dh_auto_install -O--buildsystem=pybuild
	# Remove extra license files
	rm $(TMPDIR)/usr/lib/python3*/dist-packages/openshot_qt/images/Humanity/COPYING
	rm $(TMPDIR)/usr/lib/python3*/dist-packages/openshot_qt/resources/license.txt
	chmod -x $(TMPDIR)/usr/lib/python3*/dist-packages/openshot_qt/presets/format_webm_libav1.xml

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=pybuild
	rm -rf build

## openshot-qt 2.6.1+dfsg1

=== images/Makefile ===
ALL: ../src/classes/openshot_rc.py
 
ICONS:=$(shell /usr/bin/find Humanity/ -type f -newer ../src/classes/openshot_rc.py)
ICONS+=$(shell /usr/bin/find . -name \*-icon.png -newer ../src/classes/openshot_rc.py)
ICONS+=$(shell /usr/bin/find . -name cursor\*.png -newer ../src/classes/openshot_rc.py)
ICONS+=$(shell /usr/bin/find . -name keyframe\*.png -newer ../src/classes/openshot_rc.py)
ICONS+=AboutLogo.png openshot.svg
ICONS+=$(shell /usr/bin/find . -type f -name hw-accel\*.svg -newer ../src/classes/openshot_rc.py)

../src/classes/openshot_rc.py: openshot.qrc $(ICONS)
	pyrcc5 openshot.qrc -o $@

=== debian/changelog ===
openshot-qt (2.6.1+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * debian/patches: fix crash when selecting color picker (Closes: #1021119)

 -- Sebastian Spaeth <Sebastian@SSpaeth.de>  Sun, 02 Oct 2022 16:19:41 +0200

openshot-qt (2.6.1+dfsg1-2) unstable; urgency=medium

  * debian/patches: Apply upstream fixes to work with Python 3.10 (Closes:
    #1009054)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 18 Apr 2022 22:20:07 +0200

openshot-qt (2.6.1+dfsg1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.6.1+dfsg1 (Closes: #955136)
  * debian/copyright: Update copyright information
  * debian/patches: Refresh patches
  * debian/rules:
    - Use execute_after_*
    - Remove more executable flags
  * Ignore a source-is-missing error
  * debian/control:
    - Bump dependency on python3-openshot
    - Build with dh-sphinxdoc
    - Switch python3-all in Build-Depends to python3 as no extension module is
      built

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 06 Mar 2022 20:43:14 +0100

openshot-qt (2.5.1+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * Remove Breaks/Replaces for openshot, which is now part of o-o-stable
  * Remove transitional packages openshot and openshot-doc.
    Thanks to Holger Levsen.
  * Update Standards-Version to 4.6.0, no changes needed
  * Add gbp.conf for easier work with DEP-14
  * Update d/copyright
  * Remove myself from Uploaders

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 18 Aug 2021 13:36:50 +0200

=== debian/control ===
Source: openshot-qt
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: video
Testsuite: autopkgtest-pkg-python
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-sphinxdoc,
               python3,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-pyqt5
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/multimedia-team/openshot-qt
Vcs-Git: https://salsa.debian.org/multimedia-team/openshot-qt.git
Homepage: https://www.openshot.org/

Package: openshot-qt
Architecture: all
Depends: fonts-cantarell,
         libjs-jquery,
         libjs-jquery-ui,
         python3-openshot (>= 0.2.7),
         python3-pkg-resources,
         python3-pyqt5,
         python3-pyqt5.qtsvg,
         python3-pyqt5.qtwebkit,
         python3-requests,
         python3-zmq,
         ${misc:Depends},
         ${python3:Depends}
Recommends: blender,
            inkscape
Suggests: openshot-qt-doc
Description: create and edit videos and movies
 OpenShot Video Editor is a free, open-source, non-linear video editor. It
 can create and edit videos and movies using many popular video, audio, and
 image formats. Create videos for YouTube, Flickr, Vimeo, Metacafe, iPod,
 Xbox, and many more common formats!
 .
 Features include:
  * Multiple tracks (layers)
  * Compositing, image overlays, and watermarks
  * Support for image sequences (rotoscoping)
  * Key-frame animation
  * Video and audio effects (chroma-key)
  * Transitions (lumas and masks)
  * 3D animation (titles and physics simulations)
  * Chroma key (green screen & blue screen)
  * Transcode (convert video encodings)
  * Upload videos (YouTube and Vimeo supported)

Package: openshot-qt-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: documentation for openshot-qt
 This is the official help manual for OpenShot Video Editor, a free,
 open-source, non-linear video editor. Learn how to edit videos, add
 watermarks, apply effects such as chroma key, and transition between
 videos. Also, learn how to become a developer, with step by step
 instructions.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = openshot-qt
export PYBUILD_DESTDIR_python3 = debian/openshot-qt
export TMPDIR = $(CURDIR)/debian/openshot-qt

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -b html -d build/doctrees doc build/html
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -b man  -d build/doctrees doc build/man

execute_after_dh_auto_install:
	# Remove extra license files
	rm $(TMPDIR)/usr/lib/python3*/dist-packages/openshot_qt/resources/license.txt
	chmod -x \
		$(TMPDIR)/usr/lib/python3*/dist-packages/openshot_qt/presets/format_webm_libav1.xml \
		$(TMPDIR)/usr/lib/python3*/dist-packages/openshot_qt/presets/format_mp4_librav1e.xml \
		$(TMPDIR)/usr/lib/python3*/dist-packages/openshot_qt/presets/format_mp4_libsvtav1.xml

execute_after_dh_auto_clean:
	rm -rf build

## openshot-qt 3.0.0+dfsg1

=== debian/changelog ===
openshot-qt (3.0.0+dfsg1-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Update copyright.
  * Update to debhelper-compat = 12.
  * Correct source compat to 3.0 (quilt).

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 03 Jan 2023 17:13:23 -0800

openshot-qt (3.0.0+dfsg2+1609+202212112000~ubuntu22.04.1) jammy; urgency=low

  * Auto build.

 -- Jonathan Thomas <jonathan@openshot.org>  Sun, 11 Dec 2022 20:00:44 +0000

openshot-qt (3.0.0-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Sun, 11 Dec 2022 09:59:08 -0600

openshot-qt (2.6.0-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Wed, 25 Aug 2021 11:35:49 -0500

openshot-qt (2.5.1-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Tue, 03 Mar 2020 02:44:31 -0600

openshot-qt (2.5.0-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Sat, 08 Feb 2020 18:54:11 -0600

openshot-qt (2.4.4-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Wed, 20 Mar 2019 20:51:37 -0500

openshot-qt (2.4.2-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Sat, 30 Jun 2018 01:26:55 -0500

openshot-qt (2.4.1-1) UNRELEASED; urgency=medium

  * New upstream release (Improved playback & image quality)

 -- Jonathan Thomas <jonathan@openshot.org>  Thu, 13 Nov 2017 16:26:32 -0600

openshot-qt (2.4.0-1) UNRELEASED; urgency=medium

  * New upstream release (stability, freeze menu, clipboard enhancements)

 -- Jonathan Thomas <jonathan@openshot.org>  Wed, 06 Sep 2017 23:16:25 -0500

openshot-qt (2.3.4-1) UNRELEASED; urgency=medium

  * New upstream release (more stability improvements)

 -- Jonathan Thomas <jonathan@openshot.org>  Wed, 31 May 2017 23:47:40 -0500

openshot-qt (2.3.3-1) UNRELEASED; urgency=medium

  * New upstream release (improved stability)

 -- Jonathan Thomas <jonathan@openshot.org>  Thu, 18 May 2017 17:28:22 -0500

openshot-qt (2.3.2-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Wed, 10 May 2017 00:01:05 -0500

openshot-qt (2.3.1-1) UNRELEASED; urgency=medium

  * New upstream release (fixing a few minor bugs in 2.3.0)

 -- Jonathan Thomas <jonathan@openshot.org>  Fri, 31 Mar 2017 20:32:55 -0500

openshot-qt (2.3.0-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Thu, 30 Mar 2017 22:31:46 -0500

openshot-qt (2.2.0-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Tue, 20 Dec 2016 17:04:49 -0600

openshot-qt (2.1.0-1) UNRELEASED; urgency=medium

  * New upstream release

 -- Jonathan Thomas <jonathan@openshot.org>  Mon, 29 Aug 2016 23:54:57 -0500

## openshot-qt 3.1.0%2Bdfsg1

=== debian/changelog ===
openshot-qt (3.1.0+dfsg1-0.1~mx23+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 10 Apr 2023 13:37:23 -0700

=== debian/control ===
Source: openshot-qt
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: video
Priority: optional
Build-Depends: base-files (<< 11) | python3-sphinx-copybutton,
               debhelper-compat (= 12),
               dh-python,
               python3,
               python3-pyqt5,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               sphinx-doc
Standards-Version: 3.9.6
Homepage: http://www.openshot.org/

Package: openshot-qt
Architecture: all
Depends: base-files (<< 11) | python3-sentry-sdk,
         python3-defusedxml,
         python3-distro,
         python3-openshot,
         python3-pyqt5,
         python3-pyqt5.qtopengl,
         python3-pyqt5.qtsvg,
         python3-pyqt5.qtwebengine,
         python3-requests,
         python3-xdg,
         python3-zmq,
         qttranslations5-l10n,
         ${misc:Depends},
         ${python3:Depends}
Suggests: openshot-qt-doc
Description: OpenShot video editor
 OpenShot Video Editor is a free, open-source, non-linear video editor. It can
 create and edit videos and movies using many popular video, audio, and image
 formats. Create videos for YouTube, Flickr, Vimeo, Metacafe, Xbox, and many
 more common formats!
 .
 This package provides the OpenShot application.

Package: openshot-qt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation for OpenShot
 OpenShot Video Editor is a free, open-source, non-linear video editor. It can
 create and edit videos and movies using many popular video, audio, and image
 formats. Create videos for YouTube, Flickr, Vimeo, Metacafe, Xbox, and many
 more common formats!
 .
 This package provides the documentation for the OpenShot application.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#DH_VERBOSE = 1

export PYBUILD_DESTDIR=debian/openshot-qt
export PYBUILD_INSTALL_ARGS=--install-layout=deb

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
	python3 -m sphinx -b html doc/ $(CURDIR)/debian/openshot-qt-doc/usr/share/doc/openshot-qt-doc/html
	dh_sphinxdoc

override_dh_install:
	dh_install

## openshot-qt 3.1.0+dfsg1

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/openshot-qt-$1\.tar\.gz/ \
https://github.com/OpenShot/openshot-qt/tags .*/v?(\d\S*)\.tar\.gz

## openshot-qt 3.1.1+dfsg1

=== doc/requirements.txt ===
sphinx_rtd_theme
sphinx_copybutton

=== images/Makefile ===
ALL: ../src/classes/openshot_rc.py
 
ICONS:=$(shell /usr/bin/find Humanity/ -type f -newer ../src/classes/openshot_rc.py)
ICONS+=$(shell /usr/bin/find actions/ -type f -newer ../src/classes/openshot_rc.py)
ICONS+=$(shell /usr/bin/find . -name \*-icon.svg -newer ../src/classes/openshot_rc.py)
ICONS+=$(shell /usr/bin/find . -name cursor\*.png -newer ../src/classes/openshot_rc.py)
ICONS+=$(shell /usr/bin/find . -name keyframe\*.png -newer ../src/classes/openshot_rc.py)
ICONS+=AboutLogo.png AboutLogo@2x.png openshot.svg
ICONS+=$(shell /usr/bin/find . -type f -name hw-accel\*.svg -newer ../src/classes/openshot_rc.py)

../src/classes/openshot_rc.py: openshot.qrc $(ICONS)
	pyrcc5 openshot.qrc -o $@

=== debian/changelog ===
openshot-qt (3.1.1+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Drop extraneous dependency on python3-pkg-resources (Closes: #1083521)
  * Fix SyntaxWarning (Closes: #1085753)
  * Drop Python2 vs 3 crumb
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 02 Aug 2025 13:23:11 +0200

openshot-qt (3.1.1+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Move to unstable.

 -- Bastian Germann <bage@debian.org>  Fri, 27 Jun 2025 15:46:25 +0200

openshot-qt (3.1.1+dfsg1-3~exp1) experimental; urgency=medium

  * [2c9e2fe] Add AngularJS dependency. (Closes: #1104810)

 -- Anton Gladky <gladk@debian.org>  Mon, 23 Jun 2025 21:42:49 +0200

openshot-qt (3.1.1+dfsg1-2) unstable; urgency=medium

  * Team upload
  * Move from QtWebKit to QtWebEngine

 -- Bastian Germann <bage@debian.org>  Fri, 17 Jan 2025 22:30:10 +0100

openshot-qt (3.1.1+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.1.1+dfsg1 (Closes: #1035425)
    - Refresh patches and drop those applied upstream
    - Build-Depend on python3-openshot (>= 0.3.2)
    - Do not call chmod in d/rules for removed file
    - Remove possible privacy breach in documentation
  * Update Standards-Version to 4.6.2, no changes needed
  * Update d/copyright
  * Do not use quoted %-escapes in mailcap entries. (Closes: #982953)
  * Move blender and inkscape from Recommends to Suggests. (Closes: #985332)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 11 Oct 2023 17:47:52 +0200

openshot-qt (2.6.1+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * debian/rules: Do not remove embedded license.txt file during packaging
    to prevent UI crash when viewing software license in the About dialog.
    (Closes: #908320) (LP: #1791261)
  * debian/source/lintian-overrides: Correct lintian overrides syntax.

 -- Boyuan Yang <byang@debian.org>  Wed, 21 Jun 2023 09:31:58 -0400

=== debian/control ===
Source: openshot-qt
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: video
Testsuite: autopkgtest-pkg-python
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               python3,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme,
               python3-pyqt5
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/multimedia-team/openshot-qt
Vcs-Git: https://salsa.debian.org/multimedia-team/openshot-qt.git
Homepage: https://www.openshot.org/

Package: openshot-qt
Architecture: all
Depends: fonts-cantarell,
         libjs-angularjs,
         libjs-jquery,
         libjs-jquery-ui,
         python3-openshot (>= 0.3.2),
         python3-pyqt5,
         python3-pyqt5.qtsvg,
         python3-pyqt5.qtwebengine,
         python3-requests,
         python3-zmq,
         ${misc:Depends},
         ${python3:Depends}
Suggests: blender,
          inkscape,
          openshot-qt-doc,
Description: create and edit videos and movies
 OpenShot Video Editor is a free, open-source, non-linear video editor. It
 can create and edit videos and movies using many popular video, audio, and
 image formats. Create videos for YouTube, Flickr, Vimeo, Metacafe, iPod,
 Xbox, and many more common formats!
 .
 Features include:
  * Multiple tracks (layers)
  * Compositing, image overlays, and watermarks
  * Support for image sequences (rotoscoping)
  * Key-frame animation
  * Video and audio effects (chroma-key)
  * Transitions (lumas and masks)
  * 3D animation (titles and physics simulations)
  * Chroma key (green screen & blue screen)
  * Transcode (convert video encodings)
  * Upload videos (YouTube and Vimeo supported)

Package: openshot-qt-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends},
         ${sphinxdoc:Depends}
Description: documentation for openshot-qt
 This is the official help manual for OpenShot Video Editor, a free,
 open-source, non-linear video editor. Learn how to edit videos, add
 watermarks, apply effects such as chroma key, and transition between
 videos. Also, learn how to become a developer, with step by step
 instructions.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = openshot-qt
export PYBUILD_DESTDIR = debian/openshot-qt
export TMPDIR = $(CURDIR)/debian/openshot-qt

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -b html -d build/doctrees doc build/html
	PYTHONPATH=. http_proxy='127.0.0.1:9' python3 -m sphinx -N -b man  -d build/doctrees doc build/man

execute_after_dh_auto_install:
	# Extra license file must not be removed, otherwise crash will happen
	# Removal line patched out. See https://bugs.debian.org/908320
	#rm $(TMPDIR)/usr/lib/python3*/dist-packages/openshot_qt/resources/license.txt
	chmod -x \
		$(TMPDIR)/usr/lib/python3*/dist-packages/openshot_qt/presets/format_mp4_librav1e.xml \
		$(TMPDIR)/usr/lib/python3*/dist-packages/openshot_qt/presets/format_mp4_libsvtav1.xml

execute_after_dh_auto_clean:
	rm -rf build
